> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Identifier

> Delete a user identifier.

Args:
    organization_id: Organization ID
    identifier_id: Identifier ID to delete
    db: Database session
    current_user_id: Current authenticated user ID



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json delete /api/organization/{organization_id}/user-identifiers/{identifier_id}
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/organization/{organization_id}/user-identifiers/{identifier_id}:
    delete:
      tags:
        - User Identifiers
      summary: Delete User Identifier
      description: |-
        Delete a user identifier.

        Args:
            organization_id: Organization ID
            identifier_id: Identifier ID to delete
            db: Database session
            current_user_id: Current authenticated user ID
      operationId: >-
        delete_user_identifier_api_organization__organization_id__user_identifiers__identifier_id__delete
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
        - name: identifier_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Identifier Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````